
GammaLib - Bug #2268

Background cube overpredicts number of simulated events

10/31/2017 10:06 PM - Knödlseder Jürgen

Status: Closed Start date: 10/31/2017

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

The number of predicted background events when using a background cube is too large with respect to the number of simulated

events. This is illustrated by the following plots who compare the simulated events for a single 50h long observation towards the

Galactic centre to the number of event predicted by ctmodel determined a background cube (top row). For comparison, the

background row shows the predicted background events when using directly the IRF, i.e. without going through the stacked

background cube. In that case, the predicted number of background events looks fine.

History

#1 - 10/31/2017 10:29 PM - Knödlseder Jürgen

- File spectra_corrected.png added

- File longitude_corrected.png added

- File latitude_corrected.png added

- Status changed from New to In Progress

- % Done changed from 0 to 90

The origin of the problem was quickly found. In GCTACubeBackground::operator() the background rate was determine using a lin-log interpolation

which in GCTABackground3D::operator() a log-log interpolation is used. Since the latter is also used for the event simulation it was required to switch

also the GCTACubeBackground::operator() to a log-log interpolation.

After doing this the results are consistent with those obtained using directly the IRFs. The corresponding plots are shown below.

#2 - 10/31/2017 11:42 PM - Knödlseder Jürgen

- File spectra_iem.png added

- File longitude_iem.png added

- File latitude_iem.png added

I cross-checked that the computation of a diffuse emission component is okay. The model used here is the 1DC galactic diffuse emission model.
#3 - 11/01/2017 12:30 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged code into devel.

Files
